package terminal

import (
	"bufio"
	"fmt"
	"os"
)

var reader = bufio.NewReader(os.Stdin)

func ReadKey() (rune, int) {
	ch, size, err := reader.ReadRune()
	if err != nil {
		panic(err)
	}

	return ch, size
}

func Read() string {
	scanner := bufio.NewScanner(os.Stdin)
	if scanner.Scan() {
		return scanner.Text()
	}

	err := scanner.Err()

	if err != nil {
		panic(fmt.Sprintf("Failed to read string from stdin %v", err))
	}

	return "(╯°□°)╯︵ ┻━┻"
}

// Print string to stdout
func Write(s string) {
	fmt.Print(s)
}